/**
 *
 */
package org.javabuilders.swing.jide;

import javax.swing.SwingUtilities;
import javax.swing.UIManager;

import org.junit.Assert;
import org.junit.Test;

/**
 * SwingJideOssConfigTest.
 *
 * @author anavarro - 5 Jan 2009
 *
 */
public final class SwingJideComConfigTest
{

    /**
     * testRegister.
     *
     */
    @Test
    public void testRegister()
    {
        try
        {
            SwingUtilities.invokeAndWait(new Runnable()
            {

                /*
                 * (non-Javadoc)
                 *
                 * @see java.lang.Runnable#run()
                 */
                public void run()
                {
                    try
                    {
                        UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
                        //START SNIPPET: sample-register-java
                        // You must call first the Jide Oss
                        SwingJideOssConfig.register();
                        // Call what you need
                        SwingJideActionConfig.register();
                        SwingJideComponentsConfig.register();
                        SwingJideDashboardConfig.register();
                        SwingJideDialogsConfig.register();
                        SwingJideDockConfig.register();
                        SwingJideEditorConfig.register();
                        SwingJideGridsConfig.register();
                        SwingJidePivotConfig.register();
                        SwingJideRssConfig.register();
                        SwingJideShortcutConfig.register();
                        // END SNIPPET: sample-register-java

                    }
                    catch (Throwable exception)
                    {
                        System.out.println("e=" + exception);
                        Assert.assertTrue(false);
                    }

                }
            });
            Assert.assertTrue(true);
        }
        catch (Throwable exception)
        {
            Assert.assertTrue(false);
        }
    }


}
